package com.landray.kmss.km.review.webservice;

public class IKmReviewThirdWebserviceServiceProxy implements com.landray.kmss.km.review.webservice.IKmReviewThirdWebserviceService {
  private String _endpoint = null;
  private com.landray.kmss.km.review.webservice.IKmReviewThirdWebserviceService iKmReviewThirdWebserviceService = null;
  
  public IKmReviewThirdWebserviceServiceProxy() {
    _initIKmReviewThirdWebserviceServiceProxy();
  }
  
  public IKmReviewThirdWebserviceServiceProxy(String endpoint) {
    _endpoint = endpoint;
    _initIKmReviewThirdWebserviceServiceProxy();
  }
  
  private void _initIKmReviewThirdWebserviceServiceProxy() {
    try {
      iKmReviewThirdWebserviceService = (new com.landray.kmss.km.review.webservice.IKmReviewThirdWebserviceServiceServiceLocator()).getIKmReviewThirdWebserviceServicePort();
      if (iKmReviewThirdWebserviceService != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)iKmReviewThirdWebserviceService)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)iKmReviewThirdWebserviceService)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (iKmReviewThirdWebserviceService != null)
      ((javax.xml.rpc.Stub)iKmReviewThirdWebserviceService)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public com.landray.kmss.km.review.webservice.IKmReviewThirdWebserviceService getIKmReviewThirdWebserviceService() {
    if (iKmReviewThirdWebserviceService == null)
      _initIKmReviewThirdWebserviceServiceProxy();
    return iKmReviewThirdWebserviceService;
  }
  
  public java.lang.String getEmergencyReview(java.lang.String arg0, java.lang.String arg1) throws java.rmi.RemoteException, com.landray.kmss.km.review.webservice.Exception{
    if (iKmReviewThirdWebserviceService == null)
      _initIKmReviewThirdWebserviceServiceProxy();
    return iKmReviewThirdWebserviceService.getEmergencyReview(arg0, arg1);
  }
  
  public java.lang.String syncDoc(java.lang.String arg0) throws java.rmi.RemoteException, com.landray.kmss.km.review.webservice.Exception{
    if (iKmReviewThirdWebserviceService == null)
      _initIKmReviewThirdWebserviceServiceProxy();
    return iKmReviewThirdWebserviceService.syncDoc(arg0);
  }
  
  public java.lang.String getMyDoc(java.lang.String arg0) throws java.rmi.RemoteException, com.landray.kmss.km.review.webservice.Exception{
    if (iKmReviewThirdWebserviceService == null)
      _initIKmReviewThirdWebserviceServiceProxy();
    return iKmReviewThirdWebserviceService.getMyDoc(arg0);
  }
  
  public java.lang.String delDoc(java.lang.String arg0) throws java.rmi.RemoteException, com.landray.kmss.km.review.webservice.Exception{
    if (iKmReviewThirdWebserviceService == null)
      _initIKmReviewThirdWebserviceServiceProxy();
    return iKmReviewThirdWebserviceService.delDoc(arg0);
  }
  
  public java.lang.String getCommunityReview(java.lang.String arg0, java.lang.String arg1) throws java.rmi.RemoteException, com.landray.kmss.km.review.webservice.Exception{
    if (iKmReviewThirdWebserviceService == null)
      _initIKmReviewThirdWebserviceServiceProxy();
    return iKmReviewThirdWebserviceService.getCommunityReview(arg0, arg1);
  }
  
  
}